## unity-bookmarks 12.07-extras12.04.1

=== debian/changelog ===
unity-bookmarks (12.07-extras12.04.1) precise; urgency=low

  * Initial release

 -- Nick Lemaire <lemaire.nick@gmail.com>  Mon, 09 Jul 2012 11:57:29 +0200
