=== debian/control ===
Source: unity-bookmarks
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), 
 libglib2.0-bin, 
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Nick Lemaire <lemaire.nick@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: unity-bookmarks
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 gir1.2-gtk-3.0,
 gir1.2-glib-2.0,
 gir1.2-dbusmenu-glib-0.4,
 gir1.2-unity-5.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-appindicator3-0.1,
 gir1.2-launchpad-integration-3.0,
 yelp
Description: Small bookmark application for unity
 Open your bookmarks directly from your desktop with an indicator and
 quicklist!
