=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/unity-bookmarks                 --install-data=/opt/extras.ubuntu.com/unity-bookmarks                 --install-lib=/opt/extras.ubuntu.com/unity-bookmarks

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/unity-bookmarks


override_dh_install:
	dh_install
	mkdir -p debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/bin
	if [ -x debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/unity-bookmarks ]; then mv debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/unity-bookmarks debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/bin; fi
	if [ -f debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/share/applications/unity-bookmarks.desktop ]; then \
		mkdir -p debian/unity-bookmarks/usr/share/applications; \
		mv debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/share/applications/unity-bookmarks.desktop debian/unity-bookmarks/usr/share/applications/extras-unity-bookmarks.desktop; \
		rmdir --ignore-fail-on-non-empty debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/unity-bookmarks/bin/unity-bookmarks|' debian/unity-bookmarks/usr/share/applications/extras-unity-bookmarks.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/unity-bookmarks/|' debian/unity-bookmarks/usr/share/applications/extras-unity-bookmarks.desktop; \
	fi
	grep -RlZ 'import gettext' debian/unity-bookmarks/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/unity-bookmarks/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('unity-bookmarks')" debian/unity-bookmarks/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('unity-bookmarks')\)|locale\.bindtextdomain('unity-bookmarks', '/opt/extras.ubuntu.com/unity-bookmarks/share/locale')\nlocale\1|" 
	sed -i "s|__unity_bookmarks_data_directory__ =.*|__unity_bookmarks_data_directory__ = '/opt/extras.ubuntu.com/unity-bookmarks/share/unity-bookmarks/'|" debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/unity_bookmarks*/unity_bookmarksconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/unity-bookmarks/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/bin/unity-bookmarks
	if [ -d debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/share/glib-2.0/schemas ]; then glib-compile-schemas debian/unity-bookmarks/opt/extras.ubuntu.com/unity-bookmarks/share/glib-2.0/schemas; fi
